---
name: Bug report
about: Tell us about broken, incorrect, or inconsistent behavior
title: "[BUG]"
labels: bug
assignees: ''

---

#### Describe the bug
〈Replace this text with a clear and concise description of the bug.〉


#### Steps to reproduce
〈Replace this text with a code snippet or minimal working example [MWE] to
replicate your problem. This example should involve some simulated data (e.g.,
one of those shipped with PyBispectra `pybispectra.data.example_data.DATASETS`
that can be loaded with `pybispectra.get_example_data_paths()`), or one of the
[datasets shipped with MNE-Python] (e.g., the [sample] dataset). If you cannot
replicate the error on a built-in dataset, provide a link to a small,
anonymised portion of your data that yields the error.〉

[MWE]: https://en.wikipedia.org/wiki/Minimal_Working_Example
[datasets shipped with MNE-Python]: https://mne.tools/stable/documentation/datasets.html
[sample]: https://mne.tools/stable/documentation/datasets.html#sample


#### Expected results
〈Replace this text with a clear and concise description of what you expected to
happen.〉


#### Actual results
〈Replace this text with the actual output, traceback, screenshot, or other
description of the results.〉


#### Additional information
〈Replace this text with information about your system. This should include
information about the PyBispectra version (`pybispectra.__version__`) as well
as other information that can be found with MNE by running `import mne;
mne.sys_info()`.〉
